Revert "Ping retry"

This reverts commit 570c690bfb.

This patch broke the ping_gateway_function when using IPv6
network isolation.

Change-Id: I57850a527804f2e753270fd9063d119d41a83b17
Closes-bug: #1567011
This commit is contained in:
Dan Prince 2016-04-06 14:17:23 -04:00
parent 0a53ba43cc
commit 8557ab7123
1 changed files with 7 additions and 13 deletions

View File

@ -20,12 +20,9 @@ function ping_controller_ips() {
echo -n "Trying to ping $REMOTE_IP for local network $LOCAL_NETWORK..."
set +e
if ! $ping -W 300 -c 1 $REMOTE_IP &> /dev/null; then
# If the first ping attempt fails, retry.
if ! $ping -W 300 -c 10 $REMOTE_IP &> /dev/null; then
echo "FAILURE"
echo "$REMOTE_IP is not pingable. Local Network: $LOCAL_NETWORK" >&2
exit 1
fi
echo "FAILURE"
echo "$REMOTE_IP is not pingable. Local Network: $LOCAL_NETWORK" >&2
exit 1
fi
set -e
echo "SUCCESS"
@ -43,13 +40,10 @@ function ping_default_gateways() {
set +e
for GW in $DEFAULT_GW; do
echo -n "Trying to ping default gateway ${GW}..."
if ! $ping -c 1 $GW &> /dev/null; then
# If the first ping attempt fails, retry.
if ! $ping -c 10 $GW &> /dev/null; then
echo "FAILURE"
echo "$GW is not pingable."
exit 1
fi
if ! ping -c 1 $GW &> /dev/null; then
echo "FAILURE"
echo "$GW is not pingable."
exit 1
fi
done
set -e